import request from '@/utils/request'

// 查询检查项维护详细
export function getEquipmentCodeList(itemCode) {
  return request({
    url: '/device/item/getEquipmentCodeList/' + itemCode,
    method: 'get'
  });
}

// 查询检查项维护详细
export function getEquipmentList() {
  return request({
    url: '/device/item/getEquipmentList',
    method: 'get'
  });
}

// 查询检查项维护列表
export function listItem(query) {
	return request({
		url: '/device/item/list',
		method: 'get',
		params: query
	});
}

// 查询检查项维护详细
export function getItem(itemId) {
	return request({
		url: '/device/item/' + itemId,
		method: 'get'
		});
}

// 新增检查项维护
export function addItem(data) {
	return request({
		url: '/device/item',
		method: 'post',
		data: data
	});
}

// 修改检查项维护
export function updateItem(data) {
	return request({
		url: '/device/item',
		method: 'put',
		data: data
	});
}

// 删除检查项维护
export function delItem(itemId) {
	return request({
		url: '/device/item/' + itemId,
		method: 'delete'
	});
}
